petsc-3.13.6 2020-09-29
Report Typos and Errors

# MatProductAlgorithm

String with the name of an algorithm for a PETSc matrix product implementation

### Synopsis

    typedef const char* MatProductAlgorithm;
    #define MATPRODUCTALGORITHM_DEFAULT       "default"

### See Also

MatSetType(), Mat, MatSolverType, MatRegister(), MatProductSetAlgorithm(), MatProductType

### Level

beginner

### Location

src/mat/../../include/petscmat.h
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages